Retrieve license validity
Retrieves the license validity of systems in the NetApp Console SaaS application. Use this to check the eligibility of the current license or view the days remaining for a trial license.
HTTP method and endpoint
GET /account/{accountId}/providers/cloudmanager_cbs/api/v1/license/working-environment/{workingEnvironmentId}
Token usage
NetApp Console user token.
Usage notes
Retrieves the license validity of the systems from the NetApp Console SaaS application. The API retrieves the eligibility of the current license used and it also returns the days remaining if you are using a trial license.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
provider |
string |
query |
True |
|
cloudProviderAccountId |
string |
query |
False |
Cloud provider account ID. AWS account ID/Azure subscription ID/ Google Cloud project ID. It is not mandatory to send this query parameter for StorageGRID. |
accountId |
string |
path |
True |
Account ID |
workingEnvironmentId |
string |
path |
True |
System ID |
authorization |
string |
header |
True |
User token |
X-Agent-Id |
string |
header |
True |
Request identifier |
Response
Status: 200, Default response
| Name | Type | Required | Description |
|---|---|---|---|
free-trial-end |
number |
False |
|
eligible |
boolean |
False |